version: "3"

services:
  annotation_by_modal:
    image: modal_annotation
    container_name: modalAnnotation
    restart: always
    ports:
      - "8000:8000"
    working_dir: /app/modalAnnotation_api
    command:
      [
        "gunicorn",
        "-w",
        "1",
        "--timeout",
        "120",
        "--bind",
        "0.0.0.0:8000",
        "modalAnnotation_api:app",
      ]
    environment:
      - PORT=8000
    volumes:
      - ./logs:/api/modalAnnotation/logs
